Bug 1005566 - [abrt] util-linux-2.23.2-2.fc19: recount_geometry: Process /usr/sbin/fdisk was killed by signal 8 (SIGFPE)
[abrt] util-linux-2.23.2-2.fc19: recount_geometry: Process /usr/sbin/fdisk wa...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: util-linux (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Karel Zak
Fedora Extras Quality Assurance
abrt_hash:b04c57b8d78bd67fa7a9e047519...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-09-08 09:19 EDT by Arjen Heidinga
Modified: 2013-09-23 01:13 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 01:13:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (6.87 KB, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: cgroup (141 bytes, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: core_backtrace (1.57 KB, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: dso_list (494 bytes, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: environ (4.45 KB, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: limits (1.29 KB, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: maps (2.48 KB, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: open_fds (139 bytes, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: proc_pid_status (898 bytes, text/plain)
2013-09-08 09:19 EDT, Arjen Heidinga
no flags Details
File: var_log_messages (522 bytes, text/plain)
2013-09-08 09:20 EDT, Arjen Heidinga
no flags Details

  None (edit)
Description Arjen Heidinga 2013-09-08 09:19:26 EDT
Description of problem:
fdisk -l on broken disk.

Version-Release number of selected component:
util-linux-2.23.2-2.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        fdisk -l /dev/sde
crash_function: recount_geometry
executable:     /usr/sbin/fdisk
kernel:         3.11.0
runlevel:       N 5
uid:            0

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 recount_geometry at libfdisk/src/alignment.c:143
 #1 fdisk_discover_geometry at libfdisk/src/alignment.c:205
 #2 fdisk_context_assign_device at libfdisk/src/context.c:173
 #3 print_partition_table_from_option at fdisks/fdisk.c:924
Comment 1 Arjen Heidinga 2013-09-08 09:19:30 EDT
Created attachment 795335 [details]
File: backtrace
Comment 2 Arjen Heidinga 2013-09-08 09:19:33 EDT
Created attachment 795336 [details]
File: cgroup
Comment 3 Arjen Heidinga 2013-09-08 09:19:38 EDT
Created attachment 795337 [details]
File: core_backtrace
Comment 4 Arjen Heidinga 2013-09-08 09:19:41 EDT
Created attachment 795338 [details]
File: dso_list
Comment 5 Arjen Heidinga 2013-09-08 09:19:44 EDT
Created attachment 795339 [details]
File: environ
Comment 6 Arjen Heidinga 2013-09-08 09:19:48 EDT
Created attachment 795340 [details]
File: limits
Comment 7 Arjen Heidinga 2013-09-08 09:19:51 EDT
Created attachment 795341 [details]
File: maps
Comment 8 Arjen Heidinga 2013-09-08 09:19:55 EDT
Created attachment 795342 [details]
File: open_fds
Comment 9 Arjen Heidinga 2013-09-08 09:19:58 EDT
Created attachment 795343 [details]
File: proc_pid_status
Comment 10 Arjen Heidinga 2013-09-08 09:20:01 EDT
Created attachment 795344 [details]
File: var_log_messages
Comment 11 Karel Zak 2013-09-09 05:26:37 EDT
Fixed by upstream commit 44baaedaffee029dca76796b933412d97a19dff6.
Comment 12 Fedora Update System 2013-09-10 05:12:50 EDT
util-linux-2.23.2-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-4.fc20
Comment 13 Fedora Update System 2013-09-10 05:51:41 EDT
util-linux-2.23.2-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/util-linux-2.23.2-4.fc19
Comment 14 Fedora Update System 2013-09-16 20:25:58 EDT
util-linux-2.23.2-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2013-09-22 20:47:54 EDT
util-linux-2.23.2-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Arjen Heidinga 2013-09-23 01:13:38 EDT
Fix confirmed.

Note You need to log in before you can comment on or make changes to this bug.